Skip to main content
PUT
/
alerts
/
batch
/
external
Create or update multiple alerts by external ID
curl --request PUT \
  --url https://api.artu.ai/alerts/batch/external \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Environment: <api-key>' \
  --data '
{
  "items": [
    {
      "externalId": "<string>",
      "name": "<string>",
      "description": "<string>",
      "metadata": {},
      "scopeData": {
        "MX": {
          "actividadVulnerable": {
            "mesReportado": "<string>",
            "ARI": {},
            "AVI": {},
            "INM": {},
            "JYS": {},
            "MJR": {},
            "MPC": {},
            "TSC": {},
            "VEH": {}
          },
          "cnbv": {}
        },
        "US": "<unknown>"
      }
    }
  ],
  "atomic": true
}
'
{
  "atomic": "<unknown>",
  "data": [
    {
      "data": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "organizationId": "<string>",
        "itemCount": 4503599627370495,
        "createdAt": "2023-11-07T05:31:56Z",
        "updatedAt": "2023-11-07T05:31:56Z",
        "externalId": "<string>",
        "name": "<string>",
        "description": "<string>",
        "metadata": {},
        "scopeData": {
          "MX": {
            "actividadVulnerable": {
              "mesReportado": "<string>",
              "ARI": {},
              "AVI": {},
              "INM": {},
              "JYS": {},
              "MJR": {},
              "MPC": {},
              "TSC": {},
              "VEH": {}
            },
            "cnbv": {
              "TRANSMISOR": "<unknown>"
            }
          },
          "US": "<unknown>"
        },
        "filedAt": "2023-11-07T05:31:56Z",
        "filedReportId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "createdByWorkflowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "tags": [
          {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "name": "<string>",
            "color": "<string>"
          }
        ]
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

API key authentication. Obtain your API key from the dashboard.

X-Environment
string
header
required

Target environment for the request. Must be "test" or "live".

Body

application/json
items
object[]
required
Required array length: 1 - 250 elements
atomic
boolean
default:true

Response

200 - application/json

OK

atomic
any
required
data
object[]
required